# Code Snippets from Updating Fedora 4

Using colloquia and author PIDs reconciled earlier in the project, simply run a simple find and replace to turn them into cURL statements.

## Sample data

Tab-separated PIDs from the final reconciliation. You'll notice `gsfcirCollq:1471` has 2 entries, no problem. You can easily run multiple PATCHes since you don't have to replace the whole file.

	Colloquia PID	Author PID
 	gsfcirCollq:1430	gsfcirGaca:160862315
    gsfcirCollq:1471	gsfcirGaca:160862315
    gsfcirCollq:1471	gsfcirGaca:290886104
    gsfcirCollq:3608	gsfcirGaca:166053105
    gsfcirCollq:4867	gsfcirGaca:175746463
    gsfcirCollq:1174	gsfcirGaca:184228016
    gsfcirCollq:3979	gsfcirGaca:314270804

## Regex Find and Replace

**Find**:

	gsfcirCollq:(\d{4})\tgsfcirGaca:(\d{9})

**Replace**:

	curl -X PATCH -H "Content-Type: application/sparql-update" -H "Cache-Control: no-cache" -d 'PREFIX dc: <http://purl.org/dc/elements/1.1/>
	PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
	DELETE { }
	INSERT {
	  <> dc:creator <http://localhost:8080/fedora/rest/authors/\2>. }
	WHERE { }' 'http://localhost:8080/fedora/rest/colloquia/\1'\n

### Note on Escaping in SPARQL-update/cURL

Escape `'` with `\u0027`. Similar unicode escapes probably apply.

## cURLs Generated by Regex

Simply save in .curl file. Run from command line by navigating to the directory in which it's saved and typing: `filename.curl`

 	curl -X PATCH -H "Content-Type: application/sparql-update" -H "Cache-Control: no-cache" -d 'PREFIX dc: <http://purl.org/dc/elements/1.1/>
	PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
	DELETE { }
	INSERT {
	  <> dc:creator <http://localhost:8080/fedora/rest/authors/160862315>. }
	WHERE { }' 'http://localhost:8080/fedora/rest/colloquia/1430'

    curl -X PATCH -H "Content-Type: application/sparql-update" -H "Cache-Control: no-cache" -d 'PREFIX dc: <http://purl.org/dc/elements/1.1/>
	PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
	DELETE { }
	INSERT {
	  <> dc:creator <http://localhost:8080/fedora/rest/authors/160862315>. }
	WHERE { }' 'http://localhost:8080/fedora/rest/colloquia/1471'

    curl -X PATCH -H "Content-Type: application/sparql-update" -H "Cache-Control: no-cache" -d 'PREFIX dc: <http://purl.org/dc/elements/1.1/>
	PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
	DELETE { }
	INSERT {
	  <> dc:creator <http://localhost:8080/fedora/rest/authors/290886104>. }
	WHERE { }' 'http://localhost:8080/fedora/rest/colloquia/1471'

    curl -X PATCH -H "Content-Type: application/sparql-update" -H "Cache-Control: no-cache" -d 'PREFIX dc: <http://purl.org/dc/elements/1.1/>
	PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
	DELETE { }
	INSERT {
	  <> dc:creator <http://localhost:8080/fedora/rest/authors/166053105>. }
	WHERE { }' 'http://localhost:8080/fedora/rest/colloquia/3608'

    curl -X PATCH -H "Content-Type: application/sparql-update" -H "Cache-Control: no-cache" -d 'PREFIX dc: <http://purl.org/dc/elements/1.1/>
	PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
	DELETE { }
	INSERT {
	  <> dc:creator <http://localhost:8080/fedora/rest/authors/175746463>. }
	WHERE { }' 'http://localhost:8080/fedora/rest/colloquia/4867'

    curl -X PATCH -H "Content-Type: application/sparql-update" -H "Cache-Control: no-cache" -d 'PREFIX dc: <http://purl.org/dc/elements/1.1/>
	PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
	DELETE { }
	INSERT {
	  <> dc:creator <http://localhost:8080/fedora/rest/authors/184228016>. }
	WHERE { }' 'http://localhost:8080/fedora/rest/colloquia/1174'

    curl -X PATCH -H "Content-Type: application/sparql-update" -H "Cache-Control: no-cache" -d 'PREFIX dc: <http://purl.org/dc/elements/1.1/>
	PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
	DELETE { }
	INSERT {
	  <> dc:creator <http://localhost:8080/fedora/rest/authors/314270804>. }
	WHERE { }' 'http://localhost:8080/fedora/rest/colloquia/3979'